=== debian/changelog ===
graphite2 (1.2.4-1ubuntu1) trusty; urgency=low

  * Allow the package to cross build.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 06 Dec 2013 14:23:52 +0100

graphite2 (1.2.4-1) unstable; urgency=low

  * New upstream release
  * some tests need apparently need python, build-dep on python (>= 2.6) 

 -- Rene Engelhard <rene@debian.org>  Fri, 29 Nov 2013 20:12:13 +0100
