=== debian/control ===
--- 
+++ 
@@ -1,22 +1,20 @@
 Source: graphite2
 Priority: optional
 Section: libs
-Maintainer: Debian LibreOffice Team <debian-openoffice@lists.debian.org>
+Maintainer: Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>
 Uploaders: Rene Engelhard <rene@debian.org>, Daniel Glassey <wdg@debian.org>
-Build-Depends: debhelper (>= 9), dh-exec (>= 0.3), dpkg-dev (>= 1.16.1), cmake, libfreetype6-dev
+Build-Depends: debhelper (>= 9), dh-exec (>= 0.3), dpkg-dev (>= 1.16.1~), cmake, python, fonttools
 # perl: libmodule-build-perl
 # mono: mono-xbuild, mono-gmcs, mono-dmcs, libnunit-cil-dev
-Build-Depends-Indep: asciidoc, dblatex, doxygen, docbook-xsl, latex-xcolor, libxml2-utils
-Standards-Version: 3.9.1
+Build-Depends-Indep: asciidoc, dblatex, doxygen, docbook-xsl, latex-xcolor, libxml2-utils, graphviz
+Standards-Version: 3.9.6
 
-Package: libgraphite2-3
+Package: libgraphite2-2.0.0
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Provides: libgraphite2-2.0.0
-Replaces: libgraphite2-2.0.0
-Breaks: libgraphite2-2.0.0 (<< 1.2.0)
+Provides: libgraphite2-3
 Multi-Arch: same
 Description: Font rendering engine for Complex Scripts -- library
  Graphite is a system that can be used to create and use "smart fonts" capable
@@ -41,7 +39,7 @@
 Package: libgraphite2-dev
 Section: libdevel
 Architecture: any
-Depends: libgraphite2-3 (= ${binary:Version}), ${misc:Depends}
+Depends: libgraphite2-2.0.0 (= ${binary:Version}), ${misc:Depends}
 Description: Development files for libgraphite2
  Graphite is a system that can be used to create and use "smart fonts" capable
  of displaying writing systems with various complex behaviors, such as:
@@ -62,11 +60,11 @@
  .
  This package contains the development libraries for libgraphite2 
 
-Package: libgraphite2-3-dbg
+Package: libgraphite2-2.0.0-dbg
 Priority: extra
 Section: debug
 Architecture: any
-Depends: libgraphite2-3 (= ${binary:Version}), ${misc:Depends}
+Depends: libgraphite2-2.0.0 (= ${binary:Version}), ${misc:Depends}
 Description: Debug symbols for libgraphite2
  Graphite is a system that can be used to create and use "smart fonts" capable
  of displaying writing systems with various complex behaviors, such as:
