## graphite2 1.3.8

=== debian/changelog ===
graphite2 (1.3.8-1ubuntu1) yakkety; urgency=medium

  * Resynchronize on Debian, remaining changes
    - Allow the package to cross build.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 15 Jul 2016 12:30:22 -0400

graphite2 (1.3.8-1) unstable; urgency=medium

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Thu, 31 Mar 2016 07:30:00 +0000

graphite2 (1.3.7-1) unstable; urgency=medium

  * New upstream release

  * add debian/watch, update debian/copyright to point to github
  * add Homepage: (http://graphite.sil.org/)

 -- Rene Engelhard <rene@debian.org>  Tue, 15 Mar 2016 09:23:42 +0100

graphite2 (1.3.6-1ubuntu1) xenial; urgency=medium

  * Resynchronize on Debian, remaining changes
    - Allow the package to cross build.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 09 Mar 2016 13:34:40 -0500

graphite2 (1.3.5-1ubuntu1) xenial; urgency=medium

  * Resynchronize on Debian, remaining changes
    - Allow the package to cross build.

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 23 Feb 2016 10:41:39 +0100
