=== debian/control ===
--- 
+++ 
@@ -1,20 +1,24 @@
 Source: graphite2
 Priority: optional
 Section: libs
-Maintainer: Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>
 Uploaders: Rene Engelhard <rene@debian.org>, Daniel Glassey <wdg@debian.org>
-Build-Depends: debhelper (>= 9), dh-exec (>= 0.3), dpkg-dev (>= 1.16.1~), cmake, python, fonttools
+Build-Depends: debhelper (>= 9.20151219), dh-exec (>= 0.3), dpkg-dev (>= 1.18.2~), cmake, python, fonttools
 # perl: libmodule-build-perl
 # mono: mono-xbuild, mono-gmcs, mono-dmcs, libnunit-cil-dev
 Build-Depends-Indep: asciidoc, dblatex, doxygen, docbook-xsl, latex-xcolor, libxml2-utils, graphviz
 Standards-Version: 3.9.6
+Homepage: http://graphite.sil.org/
 
-Package: libgraphite2-2.0.0
+Package: libgraphite2-3
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Provides: libgraphite2-3
+Provides: libgraphite2-2.0.0
+Replaces: libgraphite2-2.0.0
+Breaks: libgraphite2-2.0.0 (<< 1.2.0)
 Multi-Arch: same
 Description: Font rendering engine for Complex Scripts -- library
  Graphite is a system that can be used to create and use "smart fonts" capable
@@ -39,7 +43,7 @@
 Package: libgraphite2-dev
 Section: libdevel
 Architecture: any
-Depends: libgraphite2-2.0.0 (= ${binary:Version}), ${misc:Depends}
+Depends: libgraphite2-3 (= ${binary:Version}), ${misc:Depends}
 Description: Development files for libgraphite2
  Graphite is a system that can be used to create and use "smart fonts" capable
  of displaying writing systems with various complex behaviors, such as:
@@ -59,31 +63,6 @@
  grcompiler. 
  .
  This package contains the development libraries for libgraphite2 
-
-Package: libgraphite2-2.0.0-dbg
-Priority: extra
-Section: debug
-Architecture: any
-Depends: libgraphite2-2.0.0 (= ${binary:Version}), ${misc:Depends}
-Description: Debug symbols for libgraphite2
- Graphite is a system that can be used to create and use "smart fonts" capable
- of displaying writing systems with various complex behaviors, such as:
- contextual shaping, ligatures, reordering, split glyphs, bidirectionality,
- stacking diacritics and complex positioning.
- .
- This library was designed and developed by the NRSI (Non-Roman Script
- Initiative) within SIL International (www.sil.org) to act as a complement to
- other smart font rendering technologies with limited practical local
- extensibility. Its purpose is to help meet the needs of a very large number
- of "minority language" communities for local extensibility of complex script
- behaviors. 
- .
- The behavior of the rendering engine for a given writing system is specified
- through extra tables added to a TrueType font.  These tables are generated by
- compiling a GDL (Graphite Description Language) source file into a font using
- grcompiler. 
- .
- Debug symbols for libgraphite2
 
 Package: libgraphite2-doc
 Section: doc
