## graphite2 1.3.9

=== debian/changelog ===
graphite2 (1.3.9-3) unstable; urgency=medium

  * s/asciidoc, dblatex/asciidoc-dblatex/ in Build-Depends-Indep
    (closes: #850995)

 -- Rene Engelhard <rene@debian.org>  Wed, 11 Jan 2017 21:33:49 +0100

graphite2 (1.3.9-2) unstable; urgency=medium

  * [30ae987] disable awami tests, rounding errors (suggested by upstream)

 -- Rene Engelhard <rene@debian.org>  Thu, 17 Nov 2016 13:51:29 +0100

graphite2 (1.3.9-1) unstable; urgency=medium

  * [5ca6f6e] Imported Upstream version 1.3.9

 -- Rene Engelhard <rene@debian.org>  Mon, 14 Nov 2016 19:24:32 +0100
